javaee.jar version 49 and j2ee.jar version 48

2009-03-04 | By Jinyang | Filed in: 技术相关.

做一个web service用到javax.xml包,引入javaee.jar后编译总是报版本错误,当前版本为49,需要版本为48,在网上搜索下载了好几个文件,都是这样的提示,很郁闷。

在http://forums-beta.sun.com/thread.jspa?messageID=9800776 终于看到了有用的提示:

in release 1.4 the library is called j2ee.jar instead of javaee.jar 

下了个j2ee.jar,编译,搞定

我想这样的问题对于很多半路出家搞java,也没很细致的研读过太多java书籍的人而言肯定算比较郁闷的事情,代码的向下兼容、名称的一致性 还是很重要的,对开发人员而言,现在已经是一个快餐时代了,代码的编写很大程度依赖于google的辅助下 。或许Sun应该针对这个现象多一些考虑。


Tags:

One comment on “javaee.jar version 49 and j2ee.jar version 48

  1. cskys说道:

    thanks a lot

发表评论

电子邮件地址不会被公开。 必填项已用*标注